Bug 448738

Summary: [Widget] Pressing Del in the search field doesn't delete the fully selected text
Product: [Plasma] plasmashell Reporter: popov895 <popov895>
Component: ClipboardAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: nate, popov895, qydwhotmail
Priority: NOR Keywords: regression
Version: master   
Target Milestone: 1.0   
Platform: Other   
OS: Other   
See Also: https://bugs.kde.org/show_bug.cgi?id=448739
Latest Commit: Version Fixed In: 5.24
Sentry Crash Report:

Description popov895 2022-01-18 19:01:33 UTC
STEPS TO REPRODUCE

1. Enter some text in the search field
2. Select all text in the search box (press Ctrl+A)
3. Press Del to delete selected text

OBSERVED RESULT

Nothing happens.

EXPECTED RESULT

The selected text is deleted.

SOFTWARE/OS VERSIONS

Operating System: KDE neon Unstable Edition
KDE Plasma Version: 5.23.80
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.3
Graphics Platform: X11
Comment 1 Fushan Wen 2022-01-20 09:50:58 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1381
Comment 2 Fushan Wen 2022-01-20 12:28:57 UTC
Git commit 79344a3b26eaaa2d766b0e6b5d5a8d61193bd049 by Fushan Wen.
Committed on 20/01/2022 at 09:47.
Pushed by fusionfuture into branch 'master'.

applets/clipboard: Don't delete any item when the search field has focus

The behavior may cause unexpected results when the user spam press Del
in order to delete all characters in the search field, and find that
all items in the list are deleted.

It also causes pressing Del in the search field not deleting the fully
selected text.
Related: bug 448739

M  +0    -12   applets/clipboard/contents/ui/ClipboardPage.qml

https://invent.kde.org/plasma/plasma-workspace/commit/79344a3b26eaaa2d766b0e6b5d5a8d61193bd049
Comment 3 Fushan Wen 2022-01-20 12:33:12 UTC
Git commit 6ac38d9c493c1720834e5f587f60dfcdd14d9646 by Fushan Wen.
Committed on 20/01/2022 at 12:33.
Pushed by fusionfuture into branch 'Plasma/5.24'.

applets/clipboard: Don't delete any item when the search field has focus

The behavior may cause unexpected results when the user spam press Del
in order to delete all characters in the search field, and find that
all items in the list are deleted.

It also causes pressing Del in the search field not deleting the fully
selected text.
Related: bug 448739


(cherry picked from commit 79344a3b26eaaa2d766b0e6b5d5a8d61193bd049)

M  +0    -12   applets/clipboard/contents/ui/ClipboardPage.qml

https://invent.kde.org/plasma/plasma-workspace/commit/6ac38d9c493c1720834e5f587f60dfcdd14d9646